Bug 1273809 - [abrt] cinnamon: basic_engine_shape(): cinnamon killed by SIGSEGV
[abrt] cinnamon: basic_engine_shape(): cinnamon killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: pango (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Akira TAGOH
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:9e113f535e86fb4dee7a1a7b32a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-21 05:50 EDT by mithrial
Modified: 2016-07-19 14:17 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:17:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (131.68 KB, text/plain)
2015-10-21 05:50 EDT, mithrial
no flags Details
File: cgroup (190 bytes, text/plain)
2015-10-21 05:50 EDT, mithrial
no flags Details
File: core_backtrace (66.12 KB, text/plain)
2015-10-21 05:50 EDT, mithrial
no flags Details
File: dso_list (23.53 KB, text/plain)
2015-10-21 05:50 EDT, mithrial
no flags Details
File: environ (1.76 KB, text/plain)
2015-10-21 05:50 EDT, mithrial
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-21 05:50 EDT, mithrial
no flags Details
File: maps (149.33 KB, text/plain)
2015-10-21 05:50 EDT, mithrial
no flags Details
File: mountinfo (3.57 KB, text/plain)
2015-10-21 05:50 EDT, mithrial
no flags Details
File: namespaces (85 bytes, text/plain)
2015-10-21 05:50 EDT, mithrial
no flags Details
File: open_fds (9.09 KB, text/plain)
2015-10-21 05:50 EDT, mithrial
no flags Details
File: proc_pid_status (1.01 KB, text/plain)
2015-10-21 05:50 EDT, mithrial
no flags Details
File: var_log_messages (28 bytes, text/plain)
2015-10-21 05:50 EDT, mithrial
no flags Details

  None (edit)
Description mithrial 2015-10-21 05:50:16 EDT
Version-Release number of selected component:
cinnamon-2.6.13-10.fc22

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        cinnamon --replace
crash_function: basic_engine_shape
executable:     /usr/bin/cinnamon
global_pid:     2620
kernel:         4.2.3-200.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 basic_engine_shape at basic-fc.c:350
 #1 pango_shape_full at shape.c:116
 #2 shape_run at pango-layout.c:3293
 #3 process_item at pango-layout.c:3406
 #4 pango_layout_check_lines at pango-layout.c:3704
 #6 pango_layout_get_extents_internal at pango-layout.c:2587
 #7 pango_layout_get_size at pango-layout.c:2830
 #8 _rsvg_node_text_type_children at rsvg-text.c:580
 #12 _rsvg_node_text_draw at rsvg-text.c:297
 #13 rsvg_node_draw at rsvg-structure.c:69
Comment 1 mithrial 2015-10-21 05:50:23 EDT
Created attachment 1085061 [details]
File: backtrace
Comment 2 mithrial 2015-10-21 05:50:24 EDT
Created attachment 1085062 [details]
File: cgroup
Comment 3 mithrial 2015-10-21 05:50:27 EDT
Created attachment 1085063 [details]
File: core_backtrace
Comment 4 mithrial 2015-10-21 05:50:29 EDT
Created attachment 1085064 [details]
File: dso_list
Comment 5 mithrial 2015-10-21 05:50:30 EDT
Created attachment 1085065 [details]
File: environ
Comment 6 mithrial 2015-10-21 05:50:32 EDT
Created attachment 1085066 [details]
File: limits
Comment 7 mithrial 2015-10-21 05:50:34 EDT
Created attachment 1085067 [details]
File: maps
Comment 8 mithrial 2015-10-21 05:50:36 EDT
Created attachment 1085068 [details]
File: mountinfo
Comment 9 mithrial 2015-10-21 05:50:37 EDT
Created attachment 1085069 [details]
File: namespaces
Comment 10 mithrial 2015-10-21 05:50:39 EDT
Created attachment 1085070 [details]
File: open_fds
Comment 11 mithrial 2015-10-21 05:50:41 EDT
Created attachment 1085071 [details]
File: proc_pid_status
Comment 12 mithrial 2015-10-21 05:50:42 EDT
Created attachment 1085072 [details]
File: var_log_messages
Comment 13 Akira TAGOH 2015-10-21 22:27:15 EDT
Apparently apps kept running with the old libraries and no enough information to debug provided. so please let me know if you still persists this issue.
Comment 14 mithrial 2015-11-02 14:19:52 EST
The incident occurred only once. I have no more debug information to give.
Comment 15 Fedora End Of Life 2016-07-19 14:17:19 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.